# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95.0"
name = "erratic"
version = "0.12.1"
authors = ["Little Lan <lansyin@foxmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Handling errors in an efficient way. "
homepage = "https://github.com/lansyin/erratic"
readme = "README.md"
keywords = [
    "error",
    "error-handling",
]
categories = [
    "rust-patterns",
    "no-std",
]
license = "MIT"
repository = "https://github.com/lansyin/erratic"

[features]
backtrace = []
default = []

[lib]
name = "erratic"
path = "src/lib.rs"

[[test]]
name = "context"
path = "tests/context.rs"

[[test]]
name = "error"
path = "tests/error.rs"

[[test]]
name = "payload"
path = "tests/payload.rs"

[[test]]
name = "state"
path = "tests/state.rs"

[[test]]
name = "ui"
path = "tests/ui.rs"

[dependencies]
